#
# spec file for package rubygem-pdf-reader
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#

Name:           rubygem-pdf-reader
Version:        2.12.0
Release:        1.2
%define mod_name pdf-reader
%define mod_full_name %{mod_name}-%{version}
BuildRequires:  %{ruby >= 2.0}
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  %{rubygem rdoc > 3.10}
BuildRequires:  ruby-macros >= 5
BuildRequires:  update-alternatives
URL:            https://github.com/yob/pdf-reader
Source:         https://rubygems.org/gems/%{mod_full_name}.gem
Source1:        gem2rpm.yml
Summary:        A library for accessing the content of PDF files
License:        MIT
PreReq:         update-alternatives

%description
The PDF::Reader library implements a PDF parser conforming as much as possible
to the PDF specification from Adobe.

%prep

%build

%install
%gem_install \
  --symlink-binaries \
  --doc-files="CHANGELOG MIT-LICENSE README.md" \
  -f

%gem_packages

%changelog
* Mon Jan 29 2024 Dan Čermák <dan.cermak@posteo.net>
- v2.12.0 (26th December 2023)
- Fix a sorbet method signature (http://github.com/yob/pdf-reader/pull/512)
- Reduce allocations when parsing PDFs with hex strings (http://github.com/yob/pdf-reader/pull/528)
- Fix text extraction of some rare unicode codepoints (http://github.com/yob/pdf-reader/pull/529)
* Fri Oct 28 2022 Stephan Kulow <coolo@suse.com>
  updated to version 2.11.0
  see installed CHANGELOG
  v2.11.0 (26th October 2022)
  - Various bug fixes
  - Expanded sorbet type annotations
* Thu Aug  4 2022 Stephan Kulow <coolo@suse.com>
  updated to version 2.10.0
  see installed CHANGELOG
  v2.10.0 (12th May 2022)
  - Various bug fixes
  - Expanded sorbet type annotations
* Thu Mar  3 2022 Stephan Kulow <coolo@suse.com>
  updated to version 2.9.2
  see installed CHANGELOG
  v2.9.2 (20th February 2022)
  - Fix PDF::Reader::ObjectHash#page_references to return an Array of PDF::Reader::Reference (http://github.com/yob/pdf-reader/pull/444)
* Tue Feb 15 2022 Stephan Kulow <coolo@suse.com>
  updated to version 2.9.1
  see installed CHANGELOG
  v2.9.1 (4th February 2022)
  - Fix exception in Page#walk introduced in 2.9.0 (http://github.com/yob/pdf-reader/pull/442)
  - Other small bug fixes
* Tue Jan 25 2022 Stephan Kulow <coolo@suse.com>
  updated to version 2.9.0
  see installed CHANGELOG
  v2.9.0 (24th January 2022)
  - Support additional encryption standards (http://github.com/yob/pdf-reader/pull/419)
  - Return CropBox correctly from Page#rectangles (https://github.com/yob/pdf-reader/pull/420)
  - For sorbet users, additional type annotations are included in the gem
  v2.8.0 (28th Decemeber 2021)
  - Add PDF::Reader::Page#runs for extracting text from a page with positioning metadata (http://github.com/yob/pdf-reader/pull/411)
  - Add options to PDF::Reader::Page#text to make some behaviour configurable (http://github.com/yob/pdf-reader/pull/411)
  - including extracting the text for only part of the page
  - Improve text positioning and extraction for Type3 fonts (http://github.com/yob/pdf-reader/pull/412)
  - Skip extracting text that is positioned outside the page (http://github.com/yob/pdf-reader/pull/413)
  - Fix occasional crash when reading some streams (http://github.com/yob/pdf-reader/pull/405)
  v2.7.0 (13th December 2021)
  - Include RBI type files in the gem
  - Downstream users of pdf-reader who also use sorbet *should* find many parts of the API will
    now be typed checked by sorbet
  - Fix glyph positioning in some rotation scenarios (http://github.com/yob/pdf-reader/pull/403)
  - Improved text extraction on some rotated pages, and rotated text on normal pages
  - Add PDF::Reader::Page#rectangles (http://github.com/yob/pdf-reader/pull/402)
  - Returns page boxes (MediaBox, etc) with rotation applied, and as PORO rather than arrays of numbers
  - Add PDF::Reader::Page#origin (http://github.com/yob/pdf-reader/pull/400)
  - Add PDF::Reader::Page#{height,width} (http://github.com/yob/pdf-reader/pull/399)
  - Overlap filter should only drop characters that overlap *and* match (http://github.com/yob/pdf-reader/pull/401)
  v2.6.0 (12th November 2021)
  - Text extraction improvements
  - Improved text layout on pages with a variety of font sizes (http://github.com/yob/pdf-reader/pull/355)
  - Fixed text positioning for some rotated pages (http://github.com/yob/pdf-reader/pull/356)
  - Improved character width calculation for PDFs using built-in (non-embedded) ZapfDingbats (http://github.com/yob/pdf-reader/pull/373)
  - Skip zero-width characters (http://github.com/yob/pdf-reader/pull/372)
  - Performance improvements
  - Reduced memory pressure when decoding TIFF images (http://github.com/yob/pdf-reader/pull/360)
  - Optional dependency on ascii81_native gem for faster processing of files using the ascii85 filter (http://github.com/yob/pdf-reader/pull/359)
  - Successfully parse more files
  - Gracefully handle some non-spec compliant CR/LF issues (http://github.com/yob/pdf-reader/pull/364)
  - Fix parsing of some escape sequences in content streams (http://github.com/yob/pdf-reader/pull/368)
  - Increase the amount of junk bytes we detect and skip at the end of a file (382)
  - Ignore "/Prev 0" in trailers (http://github.com/yob/pdf-reader/pull/383)
  - Fix parsing of some inline images (BI ID EI tokens) (http://github.com/yob/pdf-reader/pull/389)
  - Gracefully handle some xref tables that incorrectly start with 1 (http://github.com/yob/pdf-reader/pull/384)
* Thu Jun 24 2021 Stephan Kulow <coolo@suse.com>
  updated to version 2.5.0
  see installed CHANGELOG
  v2.5.0 (6th June 2021)
  - bump minimum ruby version to 2.0
  - Correctly handle trascoding to UTF-8 from some fonts that use a difference table [#344](https://github.com/yob/pdf-reader/pull/344/)
  - Fix some character spacing issues with the TJ operator [#343](https://github.com/yob/pdf-reader/pull/343)
  - Fix crash with some encrypted PDFs [#348](https://github.com/yob/pdf-reader/pull/348/)
  - Fix positions of text on some PDFs with pages rotated 90° [#350](https://github.com/yob/pdf-reader/pull/350/)
* Thu Jan 28 2021 Petr Vorel <pvorel@suse.cz>
- updated to version 2.4.2 (28th January 2021)
  - relax ASCII85 dependency to allow 1.x
  - improved support for decompressing objects with slightly malformed zlib data
* Fri Sep 25 2020 Stephan Kulow <coolo@suse.com>
  updated to version 2.4.1
  see installed CHANGELOG
  v.2.4.1 (24th September 2020)
  - Re-vendor font metrics from Adobe to clarify their license
* Mon Feb 10 2020 Stephan Kulow <coolo@suse.com>
- updated to version 2.4.0
  see installed CHANGELOG
  v2.4.0 (21st November 2019)
  - Optimise overlapping characters code introduced in 2.3.0. Text extraction of pages with
    thousands of characters is still slower than it was in 2.2.1, but it might tolerable
    for now. See https://github.com/yob/pdf-reader/pull/308 for details.
  - Implement very basic font substitution for Type1 and TrueType fonts that aren't embedded
  - Remove PDF::Hash class. It's been deprecated since 2010, and it's hard to believe anyone
    is still using it.
  - Several small bug fixes
  v2.3.0 (7th November 2019)
  - Text extraction now makes an effort to skip duplicate characters that overlap, a
    common approach used for a fake "bold" effect, This will make text extraction a bit
    slower - if that turns out to be an issue I'll look into further optimisations or
    provide a toggle to turn it off
  - Several small bug fixes
  v2.2.1 (27th July 2019)
  - Improve utf8 text extraction from CMaps that contain surrogate pair ligatures
* Wed Dec 19 2018 Stephan Kulow <coolo@suse.com>
- updated to version 2.2.0
  see installed CHANGELOG
* Thu Feb 15 2018 factory-auto@kulow.org
- updated to version 2.1.0
  see installed CHANGELOG
  v2.1.0 (15th Februar 2018)
  - Support extra encrypted PDF variants (thanks to Gyuchang Jun)
  - various bug fixes
* Sat Feb 25 2017 coolo@suse.com
- updated to version 2.0.0
  see installed CHANGELOG
  v2.0.0 (25th February 2017)
  - various bug fixes
  v2.0.0.beta1 (15th February 2017)
  - BREAKING CHANGE: remove all methods that were deprecated in 1.0.0
  - Bug: Support extra encrypted PDF variants (thanks to Gyuchang Jun)
  - various bug fixes
* Mon Jan  2 2017 coolo@suse.com
- updated to version 1.4.1
  see installed CHANGELOG
  v1.4.1 (2nd January 2017)
  - improve compatability with ruby 2.4 (thanks Akira Matsuda)
  - various bug fixes
* Tue Feb 23 2016 coolo@suse.com
- updated to version 1.4.0
  see installed CHANGELOG
  v1.4.0 (22nd February 2016)
  - raise minimum ruby version to 1.9.3
  - print warnings to stderr when deprecated methods are used. These methods have been
    deprecated for 4 years, so hopefully few people are depending on them
  - Fix exception when a npn-breakng space (character 160) is used with a
    built-in fint (helvetica, etc)
  - various bug fixes
* Sat May 25 2013 coolo@suse.com
- updated to version 1.3.3
  - various bug fixes
* Sun Dec 30 2012 coolo@suse.com
- updated to version 1.3.0
  - Numerous performance optimisations (thanks Alex Dowad)
  - Improved text extraction (thanks Nathaniel Madura)
  - Load less of the ha
* Fri Aug 31 2012 coolo@suse.com
- updated to version 1.2.0
  - Feature: correctly extract text using surrogate pairs and ligatures
    (thanks Nathaniel Madura)
  - Speed optimisation: cache tokenised Form XObjects to avoid re-parsing them
  - Feature: support opening documents with some junk bytes prepended to file
    (thanks Paul Gallagher)
  - Acrobat does this, so it seemed reasonable to add support
* Mon Jul 30 2012 coolo@suse.com
- initial package
